{ lib, stdenv, fetchFromGitHub, which, libtool, autoconf, automake }:

stdenv.mkDerivation rec {
  pname = "usrsctp";
  version = "0.9.5.0";

  src = fetchFromGitHub {
    owner = "sctplab";
    repo = pname;
    rev = version;
    sha256 = "sha256-Sengtkg4UoA03cPy5+dRSr5qKIttWHEKn48udOP8zYI=";
  };

  nativeBuildInputs = [ which libtool autoconf automake ];

  enableParallelBuilding = true;

  NIX_CFLAGS_COMPILE = "-O2";

  preConfigure = "./bootstrap";

  meta = with lib; {
    description = "A userland SCTP stack supporting FreeBSD, Linux, Mac OS X and Windows";
    homepage = src.meta.homepage;
    maintainers = with maintainers; [ aw ];
    license = licenses.bsd3;
  };
}
